# -r (Recurse subdirectories) switch

Specifies method of treating wildcards and filenames assigned in command line.

#### Syntax

    -r[- | 0]

Switch | Description
--- | ---
-r | Enable recurse subdirectories.
-r- | Disable recurse subdirectories. This option is default for all commands.
-r0 | Enable recurse subdirectories only for wildcard names.

#### Examples

    7z l archive.zip *.doc -r-

lists all *.doc files that belong root archive directory in archive.zip archive.

    7z a -tzip archive.zip -r src\*.cpp src\*.h

adds all *.cpp and *.h files from directory src and all it's subdirectories to archive.zip archive.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

#### See also

Switches: -i (Include), -x (Exclude)